# reservationssummary (B.XML)

Use the `xml/reservationssummary` endpoint to retrieve all of a property's reservations with check-out dates in the future. This summary only includes information that is essential for matching future modifications/cancellations of existing reservations. No guest details included, other than the guest's name.

## URL


```https
POST https://secure-supply-xml.booking.com/hotels/xml/reservationssummary
```

## Sample request

This request retrieves all reservations for property `375680`.


```xml
<request>
  <hotel_id>375680</hotel_id>
</request>
```

## Request body

| Field | Description | Type | Required | Notes |
|  --- | --- | --- | --- | --- |
| `request` | Root element. | object | Required | - |
| `hotel_id` | The Booking.com property ID for which you want to retrieve reservations. | string | Required | Max. occurrences: 1. |


## Sample response

A successful response looks like this:


```xml
<reservations>
  <reservation>
    <customer>
      <first_name>test</first_name>
      <last_name>test</last_name>
    </customer>
    <date>2015-03-29</date>
    <id>325070178</id>
    <room>
      <arrival_date>2015-02-20</arrival_date>
      <currencycode>INR</currencycode>
      <departure_date>2015-02-22</departure_date>
      <id>37568001</id>
      <meal_plan>Breakfast costs INR 15.00 per person per
      night.</meal_plan>
      <numberofguests>7</numberofguests>
      <price date="2015-02-20" rate_id="1354450">350</price>
      <price date="2015-02-21" rate_id="1354450">350</price>
      <roomreservation_id>1799964999</roomreservation_id>
      <totalprice>700</totalprice>
    </room>
    <time>20:51:09</time>
  </reservation>
  <reservation>
    <customer>
      <first_name>test</first_name>
      <last_name>test</last_name>
    </customer>
    <date>2015-03-29</date>
    <id>438151297</id>
    <room>
      <arrival_date>2015-02-20</arrival_date>
      <currencycode>INR</currencycode>
      <departure_date>2015-02-21</departure_date>
      <id>37568001</id>
      <meal_plan>Breakfast costs INR 15.00 per person per night.</meal_plan>
      <numberofguests>7</numberofguests>
      <price date="2015-02-20" rate_id="1354450">350</price>
      <roomreservation_id>1799964999</roomreservation_id>
      <totalprice>350</totalprice>
    </room>
    <time>20:51:09</time>
  </reservation>
</reservations>
<!-- RUID: [XXXXXXXXXXXXXXXXXXXXX==] -->
```

## Response body

| Field | Description | Type | Notes |
|  --- | --- | --- | --- |
| `reservations` | - | array of `reservation` | - |
| `reservation` | - | object | - |
| `customer` | - | object | - |
| `first_name` | Guest's first/given name. | string | - |
| `last_name` | Guest's last/family name. | string | - |
| `date` | The date the reservation was made. | date | Format: `YYYY-MM-DD` |
| `time` | The time the reservation was made. | time | Format: `HH:MM:SS` (CET in winter, CEST in summer.) |
| `id` | The ID of the parent element. | string | Child of both `reservation` and `room`. |
| `room` | - | object | - |
| `arrival_date` | Planned check-in date. | date | Format: `YYYY-MM-DD` |
| `currencycode` | The [currency](/connectivity/docs/b_xml-currencies) used to pay for the reservation. | enum | Use [/xml/currencies](/connectivity/docs/b_xml-currencies) to retrieve a list of currency codes. |
| `departure_date` | Planned check-out date. | date | Format: `YYYY-MM-DD` |
| `meal_plan` | The [meal plan](/connectivity/docs/codes-mpt) description as it appears on Booking.com. | string | See also [Meal Plan Types](/connectivity/docs/codes-mpt). |
| `numberofguests` | The number of persons in the reservation. | integer | - |
| `price` | The price per day for the reservation. | integer | Currency is specified in `currencycode`. |
| `price[@date]` | The date on which the reservation was paid for. | date | Format: `YYYY-MM-DD` |
| `price[@rate_id]` | The ID of the [rate](/connectivity/docs/ota-hotelrateplannotif) used for the reservation. | string | - |
| `roomreservation_id` | The ID of the room reservation. | string | A `reservation` can include multiple rooms, and therefore multiple room reservations. |
| `totalprice` | The total price for the reservation. | integer | Currency is specified in `currencycode`. |